%define packname  maanova
%define Rversion  3.1.0

Name:             R-%{packname}
Version:          1.34.1
Release:          3%{dist}
Summary:          Analysis of N-dye Micro Array using mixed model effect
Summary(fr):      Analise de puce à ADN à N marqueurs par different modèle

Group:            Applications/Productivity
License:          GPLv2+ 
URL:              http://www.bioconductor.org/packages/release/bioc/html/maanova.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-qvalue R-core >= %{Rversion} R-Biobase
BuildRequires:    R-devel >= %{Rversion} tex(latex) R-qvalue R-Biobase
BuildRequires:    blas-devel lapack-devel

%description
Analysis of N-dye Micro Array experiment using mixed model effect
Containing analysis of variance, permutation and bootstrap, cluster 
and consensus tree

%description -l fr
Analise de puce à ADN par l'utilisation de différent modèle.
Contient une analise de variance, par permutation et par substitution,
permet de faire d'estimer cluster et arbre relationnel

%prep
%setup -c -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

chmod -x %{packname}/inst/*.txt
chmod -x %{packname}/src/*.c
%{__sed} -i -e 's/\r$//'  %{packname}/DESCRIPTION
# With this it can build, but leads to lot of warning
# therefore I am not sure this package will be updated
%{__sed} -i -e 's/snow//'  %{packname}/DESCRIPTION
# %{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/abf1.tex
# %{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/camda.tex
# %{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/intro.tex


mkdir -p %{buildroot}%{_libdir}/R/library ; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

chmod -x %{buildroot}%{_libdir}/R/library/maanova/TODO.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/STATUS.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/README.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/LICENSE.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/doc/maanova.Rnw

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/STATUS.txt
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/TODO.txt
%doc %{_libdir}/R/library/%{packname}/LICENSE.txt
%doc %{_libdir}/R/library/%{packname}/README.txt

%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.34.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.34.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.34.1-1
- Update to version 1.34.1

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.34.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May  8 2014 Tom Callaway <spot@fedoraproject.org> - 1.34.0-1
- update to 1.34.0
- rebuild for R 3.1.0

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.32.0-1
- Update to version 1.32.0

* Sun Dec 22 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.30.0-3
- Add blas-devel and lapack-devel as BR

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.30.0-1
- Update to version 1.30.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 pingou <pingou@pingoured.fr> 1.26.0-1
- Update to version 1.26.0

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.24.0-1
- update to 1.24.0

* Sat Jul 02 2011 pingou <pingou@pingoured.fr> 1.22.0-1
- Update to version 1.22.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 pingou <pingou@pingoured.fr> 1.20.0-2
- Add R-Biobase as R and BR

* Thu Nov 25 2010 pingou <pingou@pingoured.fr> 1.20.0-1
- Update to version 1.20.0

* Tue May 11 2010 pingou <pingou@pingoured.fr> 1.18.0-1
- Update to version 1.18.0
- Fix url to a more stable form
- Fix BR to R-devel
- Fix R to R-core

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.16.0-1
- Update to 1.16.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0
- Fix BR tex(latex)

* Sat Aug 01 2009 pingou <pingou@pingoured.fr> - 1.14.0-1
- Update to 1.14.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-1
- Update to 1.12.0 for R >= 2.8.0

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 1.10.0-1
- Update to bioconductor 2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.0-2
- Autorebuild for GCC 4.3

* Wed Jan 16 2008 Pingou <pingoufc4@yahoo.fr> 1.9.0-1
- Update to version 1.9.0

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.8.0-1
- Update to bioconductor 2.1 and maanova 1.8.0

* Sun Aug 03 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-3
- Add the post and post(un) section

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-2
- Change on the %%post and %%postun to fit the packaging guidelines
- Change on the %%prep section to fit the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-1
- Change in %%doc to avoid redundancy

*Wed May 23 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.7
- Add the %%check section

*Sun May 06 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.6
- Remove previously exclude condition

*Sun Apr 22 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.5
- Correction in the licence (GPLv2) and in the BR>=2.3.0

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.4
- Changes on the install to set the correct right to the files (ch mod)

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.3
- Add of the french translation

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.2
- Change in prep, install clean 
- add of post postun

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.1
- Build of the rpm
